
Foreman - Refactor #26528

graphql: refactor AuthorizedModelQuery into a resolver

04/03/2019 03:50 PM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee: Timo Goebel   

Category: API   

Target version:    

Difficulty:  Fixed in Releases: 1.22.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6652

  

Description

The AuthorizedModelQuery class in our graphql codebase should ideally be integrated into a resolver for cleaner code and to follow

graphql best practices.

Related issues:

Related to Foreman - Tracker #22109: Foreman should support a graphql api New

Associated revisions

Revision 305ee6f0 - 04/14/2019 11:11 AM - Timo Goebel

fixes #26528 - graphql: refactor AuthorizedModelQuery to resolver

History

#1 - 04/03/2019 03:50 PM - Timo Goebel

- Related to Tracker #22109: Foreman should support a graphql api added

#2 - 04/04/2019 06:39 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Timo Goebel

- Pull request https://github.com/theforeman/foreman/pull/6652 added

#3 - 04/14/2019 11:11 AM - Tomer Brisker

- Fixed in Releases 1.22.0 added

#4 - 04/14/2019 12:01 PM - Timo Goebel

- Status changed from Ready For Testing to Closed

Applied in changeset 305ee6f0351657ba10e1033808437438d60fe150.
